Name:           Across
Version:        2.0.0
Release:        %{?release:%{release}}%{!?release:eng}
Summary:        uClibc-based development toolchain

Group:          Development/Tools
License:        GPL
Source0:        uClibc-0.9.30.2.tar.bz2
Source1:        binutils-2.20.tar.bz2
Source2:        gcc-core-4.4.3.tar.bz2
Source3:        gmp-4.3.2.tar.bz2
Source4:        mpfr-2.4.2.tar.bz2
Source5:        kernel-headers-2.6.29.6.tar.bz2
Source10:       build.sh
Source11:       uclibc-i386.config
Source12:       uclibc-x86_64.config
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  quilt

# Disable automatic dependency processing: we don't want to override
# standard system libraries like libresolv.so.0
AutoReqProv:    no

# Disable automatic debuginfo package generation and other post-build
# processing, because it does not handle uClibc binaries
%define __spec_install_post %{nil}
%define debug_package %{nil}

%description
This package provides development tools based on the uClibc library, a
space-efficient replacement for glibc.

%prep
%setup -q -c -T -a 0 -a 1 -a 2 -a 3 -a 4 -a 5
ln -s %{_sourcedir} patches
#echo %{PATCHURL1} | tr ' ' '\n' >series
#quilt push -a
cp %{SOURCE10} %{SOURCE11} %{SOURCE12} .
chmod +x build.sh

%build
%{?a4_configure:exit 0}
( cd gmp-4.3.2; ./configure )
make -C gmp-4.3.2 all
( cd mpfr-2.4.2; ./configure --with-gmp-build=../gmp-4.3.2 )
make -C mpfr-2.4.2 all
./build.sh i386 $(pwd)/sysroot-i386 $(pwd)/uClibc-0.9.30.2 $(pwd)/binutils-2.20 $(pwd)/gcc-4.4.3 $(pwd)/gmp-4.3.2 $(pwd)/mpfr-2.4.2 $(pwd)/kernel-headers-2.6.29.6/include &
./build.sh x86_64 $(pwd)/sysroot-x86_64 $(pwd)/uClibc-0.9.30.2 $(pwd)/binutils-2.20 $(pwd)/gcc-4.4.3 $(pwd)/gmp-4.3.2 $(pwd)/mpfr-2.4.2 $(pwd)/kernel-headers-2.6.29.6/include &
wait

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/Across
cp -alv sysroot-i386 $RPM_BUILD_ROOT/usr/share/Across/i386-linux-uclibc
cp -alv sysroot-x86_64 $RPM_BUILD_ROOT/usr/share/Across/x86_64-linux-uclibc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/Across/*
